﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample118577;
using System.Collections;
using Syncfusion.JavaScript.DataSources;
using MVCSampleBrowser.Models;
using Sample118577.Models;
namespace Sample118577.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
       
        public ActionResult GridFeatures()
        {
            var DataSource1 = new NorthwindDataContext().OrdersViews.ToList();
            var DataSource2 = new NorthwindDataContext().Customers.ToList();
            var empDataSource = new List<OrdersView>();
            foreach (var emp in DataSource1)
            {
                var newEmp = new OrdersView()
                {
                    OrderID = emp.OrderID,
                    CustomerID = emp.CustomerID,
                    EmployeeID = emp.EmployeeID,
                    Freight = emp.Freight,
                    ShipCity = emp.ShipCity,
                    ShipCountry = emp.ShipCountry,
                };
                empDataSource.Add(newEmp);
                //DataSource2.Add(emp.)
            }
            ViewBag.empDataSource = empDataSource;
            ViewBag.foncDataSource = DataSource2;
            return View();
        }
        

        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
    }
}
